<?php

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}
// Ensure the free version is deactivated if premium is running

if (!function_exists('tfl_fs')) {
    // Plugin Root File
    define('TFL_PLUGIN_FILE', __FILE__);
    // Plugin Folder Path
    define('TFL_PLUGIN_DIR', plugin_dir_path(__FILE__));
    define('TFL_PLUGIN_SLUG', dirname(plugin_basename(__FILE__)));
    // Plugin Folder URL
    define('TFL_PLUGIN_URL', plugins_url('/', __FILE__));
    // Plugin Addons Folder Path
    define('TFL_ADDONS_DIR', plugin_dir_path(__FILE__) . 'includes/widgets/');
    // Plugin Folder URL
    define('TFL_ADDONS_URL', plugin_dir_url(__FILE__) . 'includes/widgets/');
    require_once dirname(__FILE__) . '/plugin.php';
}
